Subject: Re: bug#77762: [PATCH] web: Add JSON module.

From: "Thompson, David" <[email-masked]>
Date: Sat, 12 Apr 2025 12:04:14 -0400

On Sat, Apr 12, 2025 at 12:01 PM Tomas Volf <[email-masked]> wrote:
>
> > - null is the symbol 'null
>
> Out of curiosity, what are your thoughts about using #nil instead?

My original patch from 10 years ago did this. Mark Weaver then
explained to me that #nil was added specifically for the purpose of
supporting Emacs Lisp on the Guile VM and shouldn't be used in Scheme
code. The symbol 'null works well because there is no symbol type in
JSON so there's no ambiguity.

- Dave